<?php require_once('header.php'); ?>

<?php if($allPermissions['userManagement']['delete']=="1"){ ?>

<?php
if(!isset($_REQUEST['id'])) {
	header('location: logout.php');
	exit;
} else {
	// Check the id is valid or not
	$statement = $pdo->prepare("SELECT * FROM tbl_user WHERE id=?");
	$statement->execute(array($_REQUEST['id']));
	$total = $statement->rowCount();
	if( $total == 0 ) {
		header('location: logout.php');
		exit;
	}
}
?>

<?php

	// Delete from Pincode
// 	$statement = $pdo->prepare("DELETE FROM tbl_user WHERE id=?");
// 	$statement->execute(array($_REQUEST['id']));

    $statement = $pdo->prepare("UPDATE tbl_user SET delete_status=1  WHERE id=?");
	$statement->execute(array($_REQUEST['id']));

	header('location: user.php');
	
?>
<?php }else{ ?>
<center><h4 style="color:red;">You don't have permission to delete this user </h4></center>
<?php } ?>